package kuzumeji.action.home.erp;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.erp.Helper;
import org.jboss.seam.annotations.Name;
/**
 * HelperHome
 * @author nilcy
 */
@Name("helperHome")
public class HelperHome extends BaseEntityHome<Helper> {
    /** S/N */
    private static final long serialVersionUID = -4603351963765099725L;
    /**
     * getHelperId
     * @return HelperId
     */
    public Long getHelperId() {
        return (Long) getId();
    }
    /**
     * setHelperId
     * @param aHelperId HelperId
     */
    public void setHelperId(Long aHelperId) {
        setId(aHelperId);
    }
    @Override
    protected Helper createInstance() {
        Helper helper = new Helper();
        return helper;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * wire
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Helper getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
